---
- name: Ensure ExFAT tools are present
  apt:
    name:
      - exfat-fuse
      - exfatprogs
    state: present

# - name: Ensure mountpoints are present
#   file:
#     path: "{{ item.path }}"
#     state: directory
#     mode: '0755'
#     owner: debian
#     group: debian
#   with_items:
#     - path: '/mnt/data1'
#     - path: '/mnt/data2'

- name: Ensure T5 BTRFS is mounted
  mount:
    path: /mnt/data1
    src: "UUID={{ t5_uuid }}"
    fstype: btrfs
    state: mounted

- name: Ensure Elements ExFAT is mounted
  mount:
    path: /mnt/data2
    src: "UUID={{ elements_uuid }}"
    fstype: exfat
    state: mounted
